List Permissions
curl --request GET \
--url https://api.dfns.io/permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dfns.io/permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dfns.io/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "pm-37vj4-jkr4l-lc9945spfftkne57",
"name": "<string>",
"operations": [
"<string>"
],
"status": "Active",
"isImmutable": true,
"isArchived": true,
"dateCreated": "2023-04-14T20:41:28.715Z",
"dateUpdated": "2023-04-14T20:41:28.715Z",
"pendingChangeRequest": {
"id": "cr-6uunn-bm6ja-f6rmod5kqrk5rbel",
"requester": {
"userId": "<string>",
"tokenId": "<string>",
"appId": "<string>"
},
"entityId": "<string>",
"dateCreated": "2023-04-14T20:41:28.715Z",
"kind": "Permission",
"operationKind": "Update",
"body": {
"id": "pm-37vj4-jkr4l-lc9945spfftkne57",
"name": "<string>",
"status": "Active",
"operations": [
"<string>"
],
"isImmutable": true,
"isArchived": true
},
"dateResolved": "2023-04-14T20:41:28.715Z",
"approvalId": "ap-2a9in-tt2a1-983lho480p35ejd0"
}
}
],
"nextPageToken": "<string>"
}List Permissions
Lists all permissions (roles) in the organization.
GET
/
permissions
List Permissions
Authentication
✅ Organization User (CustomerEmployee)✅ Delegated User (
EndUser)✅ Service Account
Required Permissions
Permissions:Read: Always required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Query Parameters
Maximum number of items to return.
Required range:
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
Minimum string length:
1Last modified on July 9, 2026
Was this page helpful?
⌘I